be.ehealth.businessconnector.ehbox.v3.session.impl

## Class EhboxServiceImplementationFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory
  - - be.ehealth.businessconnector.ehbox.v3.session.impl.EhboxServiceImplementationFactory

-     public class EhboxServiceImplementationFactory
      extends ImplementationClassFactory

  factory for the EhealthBoxServiceV3. Implements : `ImplementationClassFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EhboxServiceImplementationFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

    - ### Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory

      `createImplementationClass`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EhboxServiceImplementationFactory

          public EhboxServiceImplementationFactory()

  - ### Method Detail

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 String... additionalParameters)
                                          throws TechnicalConnectorException,
                                                 ConnectorException

      Overrides:
        `createImplementationClass` in class `ImplementationClassFactory`
      Throws:
        `TechnicalConnectorException`
        `ConnectorException`
      See Also:
        `ImplementationClassFactory.createImplementationClass(java.lang.Class, be.ehealth.technicalconnector.validator.SessionValidator, be.ehealth.technicalconnector.validator.EhealthReplyValidator, java.lang.String[])`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.